/* Estilos generales del cuerpo */
body, html {
    margin: 0;
    padding: 0;
    height: 100%;
    font-family: Arial, sans-serif;
}

/* Video de fondo */
.video-background {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
    z-index: -1;
}

/* Overlay para mejorar visibilidad del login */
.overlay {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: rgba(0, 0, 0, 0.5); 
    z-index: 1;
}

/* Contenedor del login */
.container {
    max-width: 350px;
    background: rgba(255, 255, 255, 0.0); 
    border-radius: 40px;
    padding: 25px 35px;
    box-shadow: rgba(133, 189, 215, 0.0) 0px 30px 30px -20px;
    position: relative;
    z-index: 2;
}

/* Logo del login */
.login-logo {
    display: block;
    margin: 0 auto;
    width: 200px;
    height: auto;
    margin-bottom: 20px;
}

/* Estilos del encabezado */
.heading {
    text-align: center;
    font-weight: 900;
    font-size: 35px;
    color: rgb(255, 255, 255);
}

/* Estilos del formulario */
.form {
    margin-top: 20px;
}

/* Estilos para los inputs */
.wave-group {
    position: relative;
    margin: 20px auto;
  }
  
  .wave-group .input {
    font-size: 16px;
    padding: 10px 10px 10px 5px;
    display: block;
    width: 200px;
    border: none;
    border-bottom: 1px solid #ffffff;
    background: transparent;
    color:#ffffff;
  }
  
  .wave-group .input:focus {
    outline: none;
  }
  
  .wave-group .label {
    color: #ffffff;
    font-size: 18px;
    font-weight: normal;
    position: absolute;
    pointer-events: none;
    left: 5px;
    top: 10px;
    display: flex;
  }
  
  .wave-group .label-char {
    transition: 0.2s ease all;
    transition-delay: calc(var(--index) * 0.05s);
  }
  
  .wave-group .input:focus ~ label .label-char,
  .wave-group .input:valid ~ label .label-char {
    transform: translateY(-20px);
    font-size: 14px;
    color: #5264ae;
  }
  
  .wave-group .bar {
    position: relative;
    display: block;
    width: 200px;
  }
  
  .wave-group .bar:before,
  .wave-group .bar:after {
    content: "";
    height: 2px;
    width: 0;
    bottom: 1px;
    position: absolute;
    background: #5264ae;
    transition: 0.2s ease all;
    -moz-transition: 0.2s ease all;
    -webkit-transition: 0.2s ease all;
  }
  
  .wave-group .bar:before {
    left: 50%;
  }
  
  .wave-group .bar:after {
    right: 50%;
  }
  
  .wave-group .input:focus ~ .bar:before,
  .wave-group .input:focus ~ .bar:after {
    width: 50%;
  }


/* Estilos para el botón */
button {
    position: relative;
    display: inline-block;
    cursor: pointer;
    outline: none;
    border: 0;
    vertical-align: middle;
    text-decoration: none;
    background: transparent;
    padding: 0;
    font-size: inherit;
    font-family: inherit;
    margin: 20px auto;
   }
   
   button.learn-more {
    width: 12rem;
    height: auto;
   }
   
   button.learn-more .circle {
    transition: all 0.45s cubic-bezier(0.65, 0, 0.076, 1);
    position: relative;
    display: block;
    margin: 0;
    width: 3rem;
    height: 3rem;
    background: #282936;
    border-radius: 1.625rem;
   }
   
   button.learn-more .circle .icon {
    transition: all 0.45s cubic-bezier(0.65, 0, 0.076, 1);
    position: absolute;
    top: 0;
    bottom: 0;
    margin: auto;
    background: #fff;
   }
   
   button.learn-more .circle .icon.arrow {
    transition: all 0.45s cubic-bezier(0.65, 0, 0.076, 1);
    left: 0.625rem;
    width: 1.125rem;
    height: 0.125rem;
    background: none;
   }
   
   button.learn-more .circle .icon.arrow::before {
    position: absolute;
    content: "";
    top: -0.29rem;
    right: 0.0625rem;
    width: 0.625rem;
    height: 0.625rem;
    border-top: 0.125rem solid #fff;
    border-right: 0.125rem solid #fff;
    transform: rotate(45deg);
   }
   
   button.learn-more .button-text {
    transition: all 0.45s cubic-bezier(0.65, 0, 0.076, 1);
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    padding: 0.75rem 0;
    margin: 0 0 0 1.85rem;
    color: rgb(16, 137, 211);
    font-weight: 700;
    line-height: 1.6;
    text-align: center;
    text-transform: uppercase;
   }
   
   button:hover .circle {
    width: 100%;
   }
   
   button:hover .circle .icon.arrow {
    background: #fff;
    transform: translate(1rem, 0);
   }
   
   button:hover .button-text {
    color: #fff;
   }
/* Media queries para hacer la página responsiva */
@media (max-width: 768px) {
    .container {
        max-width: 90%;
        padding: 20px;
    }

    .login-logo {
        width: 120px;
    }

    .heading {
        font-size: 24px;
    }
}

@media (max-width: 480px) {
    .container {
        max-width: 95%;
        padding: 15px;
    }

    .login-logo {
        width: 100px;
    }

    .heading {
        font-size: 20px;
    }

    .form .input {
        padding: 10px 15px;
    }

    .form .login-button {
        padding-block: 10px;
    }
}
